<?php 
/**
 * The check view of order module for mobile of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件非免费软件
 * @author      Hao Sun <sunhao@cnezsoft.com>
 * @package     order 
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
?>
<?php include TPL_ROOT . 'common/header.html.php';?>
<?php js::set('goToPay', $lang->order->goToPay);?>
<?php js::set('paid', $lang->order->paid);?>
<?php js::set('balance', $balance);?>
<?php js::set('amount', $order->amount);?>
<?php js::set('currencySymbol', $currencySymbol);?>
<style>input[type=radio] {position: relative; top: 1px;}</style>
<div class='panel panel-section'>
  <div class='panel-heading page-header'>
    <div class='title'><i class="icon icon-shopping-cart"></i> <strong><?php echo $lang->order->selectPayment;?></strong></div>
  </div>
  <form id='checkForm' action='<?php echo helper::createLink('order', 'pay', "orderID=$order->id");?>' method='post' target='_blank'>
    <div id='products' class='panel-body'>
      <table class='table table-bordered'>
        <thead>
          <tr class='bg-gray-pale'>
            <th class='text-left'><strong><?php echo $lang->order->productInfo;?></strong></th>
            <th class='text-center'><?php echo $lang->order->count;?></th>
            <th class='text-right'><?php echo $lang->order->amount;?></th>
          </tr>
        </thead>
        <?php foreach($products as $productID => $product): ?>
        <?php $extra = json_decode($product->extra);?>
        <tr>
          <td class='text-left'>
            <?php echo $product->productName;?>
            <?php if(!empty($extra)) foreach($extra as $code => $value) echo $value . '&nbsp;';?>
          </td>
          <td class='text-center'>
            <div class='text-count'><?php echo $product->count;?></div>
          </td>
          <td class='text-right'> 
            <div class='text-price'><?php echo $currencySymbol . number_format($product->price * $product->count, 2);?></div>
          </td>
        </tr>
        <?php endforeach;?>
      </table>
    </div>
    <div id='paymentBox' class='panel-body'>
      <div class='alert bg-gray-pale'><strong><?php echo $lang->order->payment;?></strong></div>
      <div id='payment' class='form-group'>
        <?php echo html::radio('payment', $paymentList);?>
      </div>
    </div>
    <div class='panel-body'>
      <div class='alert bg-primary-pale'>
        <?php printf($lang->order->totalToPay, $currencySymbol . $order->amount);?> &nbsp; 
        <?php if($balance) echo html::checkbox('balance', array(1 => sprintf($lang->order->placeholder->useBalance, $currencySymbol . $balance)), 1);?> &nbsp; 
        <?php printf($lang->order->needToPay, $currencySymbol . $order->amount);?>
      </div>
    </div>
    <div class='panel-footer'>
      <?php echo html::submitButton($lang->order->settlement, 'btn-order-submit btn danger block'); ?>
    </div>
  </form>
  <form class='hide' id='payForm' method='post' action="<?php echo inlink('redirect')?>" target='_blank'>
    <?php echo html::hidden('payLink', '');?>
    <input class='submitBtn' type='submit' value="<?php echo $lang->confirm;?>" />
  </form>
</div>
<script>
$(document).ready(function()
{
    $('[name=payment]').eq(0).prop('checked', true);
});
</script>
